Loading...
Searching...
No Matches
pcl::VTKUtils Class Reference

`#include <pcl/surface/vtk_smoothing/vtk_utils.h>`

## Static Public Member Functions

static int | convertToVTK (const pcl::PolygonMesh &triangles, vtkSmartPointer< vtkPolyData > &triangles_out_vtk)
| Convert a PCL PolygonMesh to a VTK vtkPolyData.
static void | convertToPCL (vtkSmartPointer< vtkPolyData > &vtk_polygons, pcl::PolygonMesh &triangles)
| Convert the vtkPolyData object back to PolygonMesh.
static int | vtk2mesh (const vtkSmartPointer< vtkPolyData > &poly_data, pcl::PolygonMesh &mesh)
| Convert vtkPolyData object to a PCL PolygonMesh.
static int | mesh2vtk (const pcl::PolygonMesh &mesh, vtkSmartPointer< vtkPolyData > &poly_data)
| Convert a PCL PolygonMesh to a vtkPolyData object.

## Detailed Description

Definition at line 48 of file vtk_utils.h.

## Member Function Documentation

## convertToPCL()

void pcl::VTKUtils::convertToPCL | ( | vtkSmartPointer< vtkPolyData > & | vtk_polygons,
|  | pcl::PolygonMesh & | triangles )

static

Convert the vtkPolyData object back to PolygonMesh.

Parameters

  [in] | vtk_polygons |
  [out] | triangles | the PolygonMesh to store the vtkPolyData in.

## convertToVTK()

int pcl::VTKUtils::convertToVTK | ( | const pcl::PolygonMesh & | triangles,
|  | vtkSmartPointer< vtkPolyData > & | triangles_out_vtk )

static

Convert a PCL PolygonMesh to a VTK vtkPolyData.

Parameters

  [in] | triangles | PolygonMesh to be converted to vtkPolyData, stored in the object.
  [out] | triangles_out_vtk |

## mesh2vtk()

int pcl::VTKUtils::mesh2vtk | ( | const pcl::PolygonMesh & | mesh,
|  | vtkSmartPointer< vtkPolyData > & | poly_data )

static

Convert a PCL PolygonMesh to a vtkPolyData object.

Parameters

  [in] | mesh | Reference to PCL Polygon Mesh
  [out] | poly_data | Pointer (vtkSmartPointer) to a vtkPolyData object

Returns
  Number of points in the point cloud of mesh.

## vtk2mesh()

int pcl::VTKUtils::vtk2mesh | ( | const vtkSmartPointer< vtkPolyData > & | poly_data,
|  | pcl::PolygonMesh & | mesh )

static

Convert vtkPolyData object to a PCL PolygonMesh.

Parameters

  [in] | poly_data | Pointer (vtkSmartPointer) to a vtkPolyData object
  [out] | mesh | PCL Polygon Mesh to fill

Returns
  Number of points in the point cloud of mesh.

The documentation for this class was generated from the following file:

- pcl/surface/vtk_smoothing/vtk_utils.h